<?php

namespace App\Modules\History\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Response;

class ListHistoryResponses implements Response
{

    private array $data;

    public function __construct(ListHistoryResponse ...$data)
    {
        $this->data = $data;
    }

    public function data()
    {
        return $this->data;
    }
}
